Delete a Live Event – Media API – MediaKind
Delete a Live Event
del https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name
Delete a live event.
RBAC Capability Required: ams.liveevent.delete
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestring Requiredevent_namestring Required
Response
200 Live Event deleted.
- No response body.
204 Nothing to delete.
- No response body.
Errors
400 Bad Request
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code
401 Unauthorized
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code
403 Forbidden
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code
404 Not Found
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code
429 Too Many Requests
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code
500 Internal Server Error
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
codestring Required The error code.detailstring Required The error message.extraDetailmap from strings to any Optional Extra information regarding this error.refstring Required A reference to the request that caused the error.statusinteger Required The HTTP status code